org.optaplanner.core.impl.score.stream.drools.quad

## Class DroolsQuadCondition<A,B,C,D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<DroolsQuadRuleStructure<A,B,C,D>>
  - - org.optaplanner.core.impl.score.stream.drools.quad.DroolsQuadCondition<A,B,C,D>

-     public final class DroolsQuadCondition<A,B,C,D>
      extends DroolsCondition<DroolsQuadRuleStructure<A,B,C,D>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `ruleStructure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsQuadCondition(DroolsQuadRuleStructure<A,B,C,D> ruleStructure)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsQuadCondition<A,B,C,D>` | `andFilter(QuadPredicate<A,B,C,D> predicate)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, QuadFunction<A,B,C,D,BigDecimal> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntQuadFunction<A,B,C,D> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongQuadFunction<A,B,C,D> matchWeighter)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `getRuleStructure, impactScore, impactScore, impactScore, impactScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsQuadCondition

          public DroolsQuadCondition(DroolsQuadRuleStructure<A,B,C,D> ruleStructure)

  - ### Method Detail

    - #### andFilter

          public DroolsQuadCondition<A,B,C,D> andFilter(QuadPredicate<A,B,C,D> predicate)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntQuadFunction<A,B,C,D> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongQuadFunction<A,B,C,D> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               QuadFunction<A,B,C,D,BigDecimal> matchWeighter)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.